using System;
using System.Diagnostics;
using System.Threading;
using Xunit;

namespace Implab.Test
{
    public class UnitTest1
    {
        [Fact]
        public void Test1()
        {
            var listener = new TextWriterTraceListener(Console.Out);
            var source = new TraceSource("Custom",SourceLevels.ActivityTracing);

            source.Listeners.Add(listener);

            Trace.Listeners.Add(listener);
            Trace.WriteLine("Hello!");
            Trace.CorrelationManager.StartLogicalOperation();
            Trace.WriteLine("Inner");
            foreach(var x in Trace.CorrelationManager.LogicalOperationStack)
                Trace.WriteLine($"-{x}");
            source.TraceEvent(TraceEventType.Information, 1, "source event");
            source.TraceData(TraceEventType.Start, 1, DateTime.Now);
            Trace.CorrelationManager.StopLogicalOperation();
        }
    }
}
